Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class ComplexRangeTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.ComplexRangeTypeImpl

All Implemented Interfaces:
  ComplexRangeType

    public class ComplexRangeTypeImpl

extends java.lang.Object
implements ComplexRangeType

Nested Class Summary
`class` | `ComplexRangeTypeImpl.Unmarshaller`

Field Summary
`protected com.sun.xml.bind.util.ListImpl` | `_Begin`
`protected com.sun.xml.bind.util.ListImpl` | `_End`
`static java.lang.Class` | `version`

Constructor Summary
`ComplexRangeTypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getBegin()`
`protected com.sun.xml.bind.util.ListImpl` | `_getEnd()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.util.List` | `getBegin()` Gets the value of the Begin property.
`java.util.List` | `getEnd()` Gets the value of the End property.
`java.lang.Class` | `getPrimaryInterface()`
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _End

    protected com.sun.xml.bind.util.ListImpl _End

### _Begin

    protected com.sun.xml.bind.util.ListImpl _Begin

### version

    public static final java.lang.Class version

Constructor Detail

### ComplexRangeTypeImpl

    public ComplexRangeTypeImpl()

Method Detail

### _getEnd

    protected com.sun.xml.bind.util.ListImpl _getEnd()

### getEnd

    public java.util.List getEnd()

  Description copied from interface: `ComplexRangeType`
  Gets the value of the End property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the End property.

  For example, to add a new item, do as follows:

          getEnd().add(newItem);

  Objects of the following type(s) are allowed in the list `ComplexPointType`

  Specified by:
    `getEnd` in interface `ComplexRangeType`

### _getBegin

    protected com.sun.xml.bind.util.ListImpl _getBegin()

### getBegin

    public java.util.List getBegin()

  Description copied from interface: `ComplexRangeType`
  Gets the value of the Begin property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Begin property.

  For example, to add a new item, do as follows:

          getBegin().add(newItem);

  Objects of the following type(s) are allowed in the list `ComplexPointType`

  Specified by:
    `getBegin` in interface `ComplexRangeType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD